mia-2dseriesgradMAD
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dseriesgradMAD

#### Sysnopis:

`mia-2dseriesgradMAD` {-i `string`} {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/filter` ...]

#### Description:

Given a set of images of temporal succession, evaluates the pixel-wise temporal gradient and then its median average distance (MAD) and stores the result in an image. Spacial pre-filtering may be applied as given additional plugin(s) (filter/2dimage).

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-o, --out-file=(output, required); io

  output file name. For supported file types see Plugin type: 2dimage/io

-k, --skip=0; ulong

  Skip files at the beginning

-e, --enlarge-boundary=5; ulong

  Enlarge cropbox by number of pixels

-c, --crop

  crop image before running statistics

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the MAD-image of the bounding box surrounding the segmentation from a series segment.set. No spacial filtering will be applied. The bounding box will be enlarged by 3 pixels in all directions. Store the image in OpenEXR format.

    mia-2dseriesgradMAD  -i segment.set -o mad.exr -c -e 3

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseriescorr | Home | mia-2dseriesgradvariation